//----------------------------------------------------------------------------

//   

//     SND (OC2B)   .
//  - .
//      B  2.
//       , 
//     F = 1 / T_SYS ( 
//      , .. 
//  ).
//     Snd_Timer,   
//    Sound_Start()   .
//      B  2
//    OC0B  .
// Sound_Exe()    .  
//Snd_Timer     .   ,
//  .     B  2
//     OC2B    
// ,     .

//----------------------------------------------------------------------------

#include "Main.h"
#include "Sound.h"

//------------------------------ : ---------------------------------

static int Snd_Timer; //  

//----------------------------  : ------------------------------

void Sound_Exe(bool t)
{
  if(t && Snd_Timer)
  {
    Snd_Timer--; //   
    if(!Snd_Timer) TCCR2A &= ~(1 << COM2B0); //OC2B disconnected
  }
}

//-------------------  :  d []: ------------------

void Sound_Start(int d)
{
  Snd_Timer = d;         //  
  TCCR2A |= 1 << COM2B0; //toggle OC2B on compare
}

//----------------------------------------------------------------------------
